#
# spec file for package sqlite2 (Version 2.8.17)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs desktop-translations diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg pam pam-modules patch perl perl-base permissions popt readline-devel rpm sed sysvinit tar tcl tcl-devel texinfo timezone update-desktop-files util-linux zlib

Name:           sqlite2
BuildRequires:  readline-devel tcl-devel update-desktop-files
License:        Public Domain, Freeware
Group:          Productivity/Databases/Servers
Summary:        Embeddable SQL Database Engine
Url:            http://www.sqlite.org/
Version:        2.8.17
Release:        88.1
Source0:        http://www.sqlite.org/sqlite-%version.tar.bz2
Source1:        sqlite2.desktop
Patch0:         sqlite.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is the server and the SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command line tool or via any
application that supports the Qt database plug-ins.



Authors:
--------
    D. Richard Hipp <drh@hwaci.com>

%debug_package
%package devel
Group:          Productivity/Databases/Servers
Summary:        Embeddable SQL Database Engine
Requires:       sqlite2 = %version

%description devel
SQLite is a C library that implements an embeddable SQL database
engine. Programs that link with the SQLite library can have SQL
database access without running a separate RDBMS process.

SQLite is not a client library used to connect to a big database
server. SQLite is the server and the SQLite library reads and writes
directly to and from the database files on disk.

SQLite can be used via the sqlite command line tool or via any
application that supports the Qt database plug-ins.



Authors:
--------
    D. Richard Hipp <drh@hwaci.com>

%prep
%setup -q -n sqlite-%version
%patch
%ifarch s390 s390x 
# some (minor ?) miscalculations with float values on these platforms
# needs to be checked deeper later
rm test/printf.test
%endif
%ifarch ppc
# minor miscalculation
rm test/format3.test
%endif
%ifarch ia64 x86_64 s390x sparc64 mips64 axp ppc64
# these test cases are not 64bit clean (more a Tcl issue than a sqlite one)
rm test/format3.test test/pager.test test/btree*.test test/version.test test/pragma.test
%endif
# FIXME: the test itself runs, but it doesn't work, when the
#        join3 did run before. no idea yet.
rm test/tclsqlite.test
# does not work due to our ulimits in our build system
rm test/bigfile.test
libtoolize --force
aclocal
autoconf

%build
  export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG=1 -fno-strict-aliasing"
  export CXXFLAGS="$CFLAGS -fno-strict-aliasing"
  mkdir build
  cd build
  ln -s ../VERSION .
  ../configure \
    --prefix=/usr \
    --libdir=%_libdir \
    --mandir=%_mandir \
    --enable-utf8 \
    --sysconfdir=/etc/
  make
  make doc
  make fulltest

%install
  cd build
  make DESTDIR="$RPM_BUILD_ROOT" install
  install -d $RPM_BUILD_ROOT%_mandir/man1/
  install -m 0644 ../sqlite.1 $RPM_BUILD_ROOT%_mandir/man1/
  #
  # install the susehelp meta file
  mkdir -p $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/
  install -m 0644 %SOURCE1 \
        $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/
  %suse_update_desktop_file $RPM_BUILD_ROOT/usr/share/susehelp/meta/Development/Libraries/sqlite2.desktop

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
  rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/sqlite
%_mandir/man1/*
%_libdir/libsqlite.so.*

%files devel
%defattr(-,root,root)
%doc build/doc/*
%doc /usr/share/susehelp
/usr/include/sqlite.h
%_libdir/libsqlite.a
%_libdir/libsqlite.la
%_libdir/libsqlite.so
%_libdir/pkgconfig/sqlite.pc
%changelog
* Tue Nov 14 2006 - adrian@suse.de
- apply additional pointer check for avoiding crash within php5
  (#218295)
* Fri Nov 10 2006 - adrian@suse.de
- fix permissions of man page file
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - adrian@suse.de
- fix file conflict between sqlite-devel and sqlite2-devel (#140301)
* Wed Jan 04 2006 - adrian@suse.de
- update to version 2.8.17
  * bugfix release
* Wed Feb 16 2005 - gekker@suse.de
- Change requires in -devel package to depend on sqlite2
* Wed Feb 16 2005 - adrian@suse.de
- update to version 2.8.16
  * contains a criticial bugsfix, which can corrupted the database
  when using the VACUUM command
* Tue Feb 01 2005 - sbrabec@suse.cz
- Worked around missing version in pc file.
* Mon Nov 29 2004 - adrian@suse.de
- change this package to an compatibility package
* Mon Nov 15 2004 - adrian@suse.de
- add susehelp desktop file for developer documentation
* Mon Nov 15 2004 - adrian@suse.de
- fix libdir path in .la file for lib64 systems
* Mon Oct 25 2004 - adrian@suse.de
- enable utf-8 support
* Fri Jul 30 2004 - adrian@suse.de
- run "make alltest"
* Thu Jul 29 2004 - adrian@suse.de
- update to version 2.8.15
- disable wrong tcl test case on 64bit
* Mon Jun 21 2004 - adrian@suse.de
- update to version 2.8.14
* Tue Jun 01 2004 - adrian@suse.de
- package sqlite man page
* Fri Apr 23 2004 - adrian@suse.de
- update to version 2.8.13
* Mon Mar 01 2004 - adrian@suse.de
- disable format3 test case for ppc for now
* Sun Feb 29 2004 - adrian@suse.de
- update to version 2.8.12
- add usual 64bit fixes
- add -fno-strict-aliasing
- disable bigfile test case due to limits in autobuild
* Thu Jan 22 2004 - adrian@suse.de
- update to version 2.8.11
  * one testcase fails on ppc, our ppc people will have a look
* Mon Dec 29 2003 - adrian@suse.de
- update to version 2.8.8
  * several 64 bit fixes have been merged, some more are needed now
- ignore some not exact matching float test cases on s390*
- enable threading support
* Tue Dec 02 2003 - adrian@suse.de
- initial package of version 2.8.6
- a number of 64bit fixes
- some test cases got disabled, because they use an invalid Tcl
  Interface for 64bit
